Retrieves a paginated list of activation codes assigned to the current user.
GET
/api/v1/provision/consumer/me/activation-codes
const url = 'https://example.com/api/v1/provision/consumer/me/activation-codes?pageNumber=1&pageSize=100';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/provision/consumer/me/activation-codes?pageNumber=1&pageSize=100'These are the codes that a user can redeem to activate a new license on a device. This endpoint is typically used to show a user what licenses they have been granted but have not yet activated.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” pageNumber
integer | string format: int32
pageSize
integer | string format: int32
Responses
Section titled “ Responses ”Returns the list of available activation codes.
object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
object
activationCode
string
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
object
activationCode
string
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "activationCode": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
object
activationCode
string
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "activationCode": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}If the user is not authenticated.
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}If the caller lacks the required permission.
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}